Subject: Q: How to use indexer api smartly

From: amihay gonen <[email-masked]>
Date: Mon, 3 Feb 2014 16:34:59 +0200

My goal is to implement a new index type base on bitmap index algorithm.

I've to main problems :

1. How to get "Target list" - list of columns need to be returned from
query on the index.

   I want to implement index only access , today the indexer api get row-id
and then PG retrive the data from the table .
  My idea is to return the list of columns directly from the index .
  The question is it possible ? how do I know what are the column list
(Assuming the index contain all those columns ).

2. How to implement a query context within the indexer api .
   The indexers functions :amcostestimate, ambeginscan and amrescan ) do
not maintain a context.
    The idea is the better memory management of index structures ( lock the
memory structure for query life time  - until it end)

Thanks ,
Amihay.